Imports System.IO

Public Class FrmHangman
    Dim Word As String()
    Dim myLocation As String
    Dim MyRandom As Random = New Random(87)
    Dim WordIndex As Integer = -1
    Dim Letters As Char()  'array of letters of word
    Dim Letters2 As Char()  'array of display letters starts with *'s 

    Private Sub FrmHangman_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim MyStreamReader As StreamReader
        Dim MyFile As String
        Dim i As Integer
        Dim j As Integer
        Dim NewWord As String

        myLocation = Directory.GetCurrentDirectory

        Try
            MyStreamReader = New StreamReader(myLocation & "\HangmanWords.txt")
            myfile = MyStreamReader.ReadToEnd
            MyStreamReader.Close()
        Catch ex As Exception
            MsgBox("Problem reading file.")
            Exit Sub
        End Try

        Word = MyFile.Split(vbCrLf)

        For i = 0 To Word.Length - 1
            Word(i) = Word(i).Trim.ToUpper
        Next

        For i = 0 To Word.Length - 1
            j = MyRandom.Next(0, Word.Length)
            NewWord = Word(i)
            Word(i) = Word(j)
            Word(j) = NewWord
        Next


    End Sub

    Private Sub btnNext_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNext.Click
        Dim i As Integer
        Dim MyRadioButton As RadioButton

        WordIndex += 1
        Letters = Word(WordIndex).ToCharArray()
        Letters2 = New Char(Letters.Length - 1) {}

        For i = 0 To Letters2.Length - 1
            Letters2(i) = "*"
        Next


        'enable radiobuttons to start next round 
        For i = 0 To grbLetters.Controls.Count - 1
            MyRadioButton = grbLetters.Controls.Item(i)
            MyRadioButton.Enabled = True
            MyRadioButton.Checked = False
        Next


        'lblDisplayWord.Text = Word(WordIndex)
        DisplayLetters2()
    End Sub

    Private Sub DisplayLetters2()
        Dim i As Integer

        lblDisplayWord.Text = ""
        For i = 0 To Letters2.Length - 1
            lblDisplayWord.Text &= Letters2(i)
        Next
    End Sub

    Private Sub btnCheck_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCheck.Click
        Dim i As Integer
        Dim MyRadioButton As RadioButton
        Dim UserLetter As Char = "9"
        Dim SearchIndex As Integer


        For i = 0 To grbLetters.Controls.Count - 1
            MyRadioButton = grbLetters.Controls.Item(i)
            If MyRadioButton.Checked Then
                'MsgBox("Letter chosen is " & MyRadioButton.Text)
                UserLetter = MyRadioButton.Text
                MyRadioButton.Enabled = False
                MyRadioButton.Checked = False
                Exit For
            End If
        Next

        If UserLetter = "9" Then
            MsgBox("Please choose a letter.")
            Exit Sub
        End If

        SearchIndex = Array.IndexOf(Letters, UserLetter)

        If SearchIndex = -1 Then
            MsgBox("Not in the word.")
        Else
            'MsgBox("In the word.")

            Do While SearchIndex <> -1
                Letters2(SearchIndex) = UserLetter
                SearchIndex = Array.IndexOf(Letters, UserLetter, SearchIndex + 1)

            Loop

            DisplayLetters2()


        End If


    End Sub

End Class
